.error {
    border: 1px solid red;
  }
  .error-message {
    color: red;
    font-size: 14px;
    margin-top: 5px;
  }
  .parent {
    background-color: #7A7A7A;
    background: linear-gradient(to right, #e2e2e2, #7A7A7A);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100vh;
  }
  .container {
    background-color: #ffffff;
    border-radius: 30px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.35);
    position: relative;
    overflow: hidden;
    width: 768px;
    max-width: 100%;
    min-height: 480px;
  }
  .password-field {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
  }
  .password-field input {
    width: calc(100% - 40px); /* Adjust width to make space for icon */
    padding: 10px 15px;
    border: 1px solid #ccc; /* Add border for better visibility */
    border-radius: 8px;
  }
  .password-field svg {
    position: absolute;
    right: 10px;
    fill: #646464; /* Icon color */
    width: 24px; /* Icon size */
    height: 24px; /* Icon size */
    cursor: pointer;
    user-select: none; /* Prevent text selection on double click */
  }
  .container p {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.3px;
    margin: 20px 0;
  }
  .container span {
    font-size: 12px;
  }
  .container a {
    color: #7a7a7a;
    font-size: 13px;
    text-decoration: none;
    margin: 15px 0 10px;
  }
  .container button {
    background-color: #bdd248;
    color: #fff;
    font-size: 12px;
    padding: 10px 45px;
    border: 1px solid transparent;
    border-radius: 8px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    margin-top: 10px;
    cursor: pointer;
  }
  .container button.hidden {
    background-color: transparent;
    border-color: #fff;
  }
  .container form {
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    height: 100%;
  }
  .container input {
    background-color: #eee;
    border: none;
    margin: 8px 0;
    padding: 10px 15px;
    font-size: 13px;
    border-radius: 8px;
    width: 100%;
    outline: none;
  }
  .form-container {
    position: absolute;
    top: 0;
    height: 100%;
    transition: all 0.6s ease-in-out;
  }
  .sign-in {
    left: 0;
    width: 50%;
    z-index: 2;
  }
  .container.active .sign-in {
    transform: translateX(100%);
  }
  .sign-up {
    left: 0;
    width: 50%;
    opacity: 0;
    z-index: 1;
    transition: all 0.5s;
  }
  .container.active .sign-up {
    transform: translateX(100%);
    opacity: 1;
    z-index: 5;
    animation: move 0.6s;
  }
  @keyframes move {
    0%, 49.99% {
      opacity: 0;
      z-index: 1;
    }
    50%, 100% {
      opacity: 1;
      z-index: 5;
    }
  }
  .logo img {
    width: 100px; /* Set the width of the logo */
    height: auto; /* Maintain aspect ratio */
  }
  .toggle-container {
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height: 100%;
    overflow: hidden;
    transition: all 0.6s ease-in-out;
    border-radius: 150px 0 0 100px;
    z-index: 1000;
  }
  .container.active .toggle-container {
    transform: translateX(-100%);
    border-radius: 0 150px 100px 0;
  }
  .toggle {
    background-color: #BDD248;
    height: 100%;
    background: linear-gradient(to right, #BDD248, #BDD248);
    color: #fff;
    position: relative;
    left: -100%;
    height: 100%;
    width: 200%;
    transform: translateX(0);
    transition: all 0.6s ease-in-out;
  }
  .container.active .toggle {
    transform: translateX(50%);
  }
  .toggle-panel {
    position: absolute;
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 30px;
    text-align: center;
    top: 0;
    transform: translateX(0);
    transition: all 0.6s ease-in-out;
  }
  .toggle-left {
    transform: translateX(-200%);
  }
  .container.active .toggle-left {
    transform: translateX(0);
  }
  .toggle-right {
    right: 0;
    transform: translateX(0);
  }
  .container.active .toggle-right {
    transform: translateX(200%);
  }
  @media (max-width: 480px) {
    .container {
      width: 100%;
      border-radius: 0;
      box-shadow: none;
    }
  }
  @media (min-width: 768px) and (max-width: 1024px) {
    .container {
      min-height: 600px;
      width: 100%;
    }
  }